//--------------------------------------------------------------------------------------
//  Plik naglwkowy I1O1W2
//  Autor: Piotr M. Szczypinski
//  Instytut Elektroniki Politechniki Ldzkiej
//--------------------------------------------------------------------------------------

// Deklaracja klasy filtru
class KlasaFiltru_I1O1W2 : public CTransformFilter 
{
public:
	static CUnknown * WINAPI CreateInstance(LPUNKNOWN punk, HRESULT *phr);
	DECLARE_IUNKNOWN;
	HRESULT CheckInputType(const CMediaType* mtIn);
	HRESULT Receive(IMediaSample *pIn); 

private:
	KlasaFiltru_I1O1W2(TCHAR *tszName, LPUNKNOWN punk, HRESULT *phr);
	HRESULT Transform(IMediaSample *pInSample, IMediaSample *pOutSample); 
	HRESULT DecideBufferSize(IMemAllocator *pAlloc, ALLOCATOR_PROPERTIES *pProperties); 
	HRESULT GetMediaType(int iPosition, CMediaType *pMediaType); 
	HRESULT CheckTransform(const CMediaType *mtIn,const CMediaType *mtOut);
};
